Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.joinrows
Class JoinRowsData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.joinrows.JoinRowsData

All Implemented Interfaces:
  StepDataInterface

    public class JoinRowsData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`List<Object[]>[]` | `cache`
`boolean` | `caching`
`DataInputStream[]` | `dataInputStream`
`DataOutputStream[]` | `dataOutputStream`
`File[]` | `file`
`FileInputStream[]` | `fileInputStream`
`int` | `filenr` Keep track of which file temp file we're using...
`FileOutputStream[]` | `fileOutputStream`
`org.pentaho.di.core.row.RowMetaInterface[]` | `fileRowMeta`
`Object[][]` | `joinrow`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int[]` | `position`
`boolean[]` | `restart`
`org.pentaho.di.core.RowSet[]` | `rs`
`int[]` | `size`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`JoinRowsData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### file

    public File[] file

### fileInputStream

    public FileInputStream[] fileInputStream

### dataInputStream

    public DataInputStream[] dataInputStream

### fileRowMeta

    public org.pentaho.di.core.row.RowMetaInterface[] fileRowMeta

### size

    public int[] size

### position

    public int[] position

### restart

    public boolean[] restart

### rs

    public org.pentaho.di.core.RowSet[] rs

### cache

    public List<Object[]>[] cache

### caching

    public boolean caching

### fileOutputStream

    public FileOutputStream[] fileOutputStream

### dataOutputStream

    public DataOutputStream[] dataOutputStream

### joinrow

    public Object[][] joinrow

### filenr

    public int filenr

  Keep track of which file temp file we're using...

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

Constructor Detail

### JoinRowsData

    public JoinRowsData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD